Skip to content

insertPurchasingRFQ

WRITE

Insert purchasing r f q.

POST /api/v1/purchasing/insertPurchasingRFQ
curl -X POST '<your-host>/api/v1/purchasing/insertPurchasingRFQ' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "rfqId": "string",
    "rfqDate": "string",
    "expirationDate": "string",
    "locationId": "string",
    "employeeId": "string",
    "status": "Draft",
    "notes": "string",
    "customFields": "string"
  }'
Response
{
  "id": "string",
  "rfqId": "string"
}

Parameters

ParameterType
"Draft""Requested""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "rfqId": {
      "type": "string"
    },
    "rfqDate": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "employeeId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Requested",
        "Closed"
      ]
    },
    "notes": {
      "type": "string"
    },
    "customFields": {}
  }
}